Bug 171318 - [PATCH] games/abuse_sdl: Makefile changed, OptionsNG, take maintainership
Summary: [PATCH] games/abuse_sdl: Makefile changed, OptionsNG, take maintainership
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Steve Wills
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-09-04 11:00 UTC by nemysis
Modified: 2012-09-13 15:20 UTC (History)
1 user (show)

See Also:


Attachments
abuse_sdl-0.8_2.patch (20.78 KB, patch)
2012-09-04 11:00 UTC, nemysis
no flags Details | Diff
abuse_sdl.diff (21.96 KB, patch)
2012-09-10 21:39 UTC, nemysis
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description nemysis 2012-09-04 11:00:24 UTC
Makefile changed:

Added or changed

- COMMENT=	SDL port of the Abuse game engine
- LICENSE=	GPLv2
- removed USE_GMAKE=	yes
- PLIST_FILES=
- PORTDATA=	*
- PORTDOCS=
- Pixmaps
- OptionsNG


- Take maintainership

Removed file(s):
- pkg-plist

Generated with FreeBSD Port Tools 0.99_6 (mode: change, diff: ports)
Comment 1 Steve Wills freebsd_committer 2012-09-09 03:29:30 UTC
Responsible Changed
From-To: freebsd-ports-bugs->swills

I'll take it.
Comment 2 Steve Wills freebsd_committer 2012-09-13 15:17:06 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 3 dfilter service freebsd_committer 2012-09-13 15:17:11 UTC
Author: swills
Date: Thu Sep 13 14:17:00 2012
New Revision: 304219
URL: http://svn.freebsd.org/changeset/ports/304219

Log:
  - Improve COMMENT
  - Add LICENSE
  - Doesn't require gmake, remove USE_GMAKE
  - Avoid pkg-plist when possible
  - Convert to OptionsNG
  - Give maintainership to submitter
  
  PR:		ports/171318
  Submitted by:	nemysis <nemysis@gmx.ch>

Added:
  head/games/abuse_sdl/files/patch-src-intsect.cpp   (contents, props changed)
Deleted:
  head/games/abuse_sdl/files/patch-src__intsect.cpp
  head/games/abuse_sdl/pkg-plist
Modified:
  head/games/abuse_sdl/Makefile   (contents, props changed)

Modified: head/games/abuse_sdl/Makefile
==============================================================================
--- head/games/abuse_sdl/Makefile	Thu Sep 13 14:04:18 2012	(r304218)
+++ head/games/abuse_sdl/Makefile	Thu Sep 13 14:17:00 2012	(r304219)
@@ -2,21 +2,20 @@
 
 PORTNAME=	abuse_sdl
 PORTVERSION=	0.8
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	games
 MASTER_SITES=	GENTOO/distfiles \
 		http://abuse.zoy.org/raw-attachment/wiki/download/
-DISTNAME=	abuse-${PORTVERSION}
+DISTNAME=	abuse-${DISTVERSION}
 
-MAINTAINER=	ports@FreeBSD.org
-COMMENT=	An SDL port of the Abuse game engine
+MAINTAINER=	nemysis@gmx.ch
+COMMENT=	SDL port of the Abuse game engine
 
-CONFLICTS=	abuse-[0-9]*
+LICENSE=	GPLv2
 
 USE_GNOME=	gnomehack
 USE_GL=		gl
 USE_SDL=	mixer sdl
-USE_GMAKE=	yes
 GNU_CONFIGURE=	yes
 CONFIGURE_ARGS=	--with-assetdir=${DATADIR} --enable-release
 MAKE_JOBS_SAFE=	yes
@@ -26,4 +25,25 @@ MAN6=		abuse.6 abuse-tool.6
 CPPFLAGS+=	-I${LOCALBASE}/include
 LDFLAGS+=	-L${LOCALBASE}/lib
 
+PLIST_FILES=	bin/abuse \
+		bin/abuse-tool \
+		share/pixmaps/abuse.png
+
+PORTDATA=	*
+PORTDOCS=	AUTHORS ChangeLog NEWS README TODO
+
+.include <bsd.port.options.mk>
+
+post-install:
+# Pixmaps
+	${INSTALL_DATA} ${WRKSRC}/doc/abuse.png ${PREFIX}/share/pixmaps/
+
+# Documentation
+.if ${PORT_OPTIONS:MDOCS}
+	${MKDIR} ${DOCSDIR}
+.  for f in ${PORTDOCS}
+	${INSTALL_DATA} ${WRKSRC}/${f} ${DOCSDIR}
+.  endfor
+.endif
+
 .include <bsd.port.mk>

Added: head/games/abuse_sdl/files/patch-src-intsect.cpp
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/games/abuse_sdl/files/patch-src-intsect.cpp	Thu Sep 13 14:17:00 2012	(r304219)
@@ -0,0 +1,10 @@
+--- src/intsect.cpp.orig	2011-05-02 13:55:06.000000000 +0200
++++ src/intsect.cpp	2012-09-10 22:33:43.000000000 +0200
+@@ -13,6 +13,7 @@
+ #endif
+ 
+ #include <stdlib.h>
++#include <inttypes.h>
+ 
+ void pushback(int32_t x1,int32_t y1,int32_t &x2,int32_t &y2,
+              int32_t xp1, int32_t yp1, int32_t xp2, int32_t yp2, int xdir, int ydir, int inside)
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"